Name:           jmdns
Version:        3.5.5
Release:        %mkrel 2
Group:          Development/Java
Summary:        Java implementation of multi-cast DNS

License:        ASL 2.0
URL:            https://github.com/jmdns/jmdns
Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

Patch0:         %{name}-DNSOutgoing-make-writeBytes-public.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)

BuildArch:      noarch

%description
JmDNS is a Java implementation of multi-cast DNS
and can be used for service registration and discovery
in local area networks. JmDNS is fully compatible
with Apple's Bonjour.


%prep
%autosetup -n %{name}-%{name}-%{version} -p1

# Remove duplicate jar execution
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions"

# Javadoc temporary disabled while upsteam not fix javadoc generation
# https://github.com/jmdns/jmdns/issues/199
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']"
%pom_xpath_remove "pom:properties[pom:javadoc.opts]"

chmod -x README.md


%build
# Tests are disabled because they try to use network
%mvn_build -f --skip-javadoc


%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc README.md



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 3.5.5-2.mga9
+ Revision: 1827578
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 3.5.5-1.mga8
+ Revision: 1622408
- Updated to version 3.5.5
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 3.4.1-14.mga8
+ Revision: 1491291
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 3.4.1-13.mga7
+ Revision: 1263025
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 3.4.1-12.mga6
+ Revision: 1103350
- Fix buildRequires
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 3.4.1-10.mga6
+ Revision: 981287
- First rebuild of the java stack
- sync package jmdns with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 3.4.1-9.mga5
+ Revision: 807161
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-8.mga5
+ Revision: 744610
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 04 2014 dmorgan <dmorgan> 3.4.1-6.mga5
+ Revision: 611669
- imported package jmdns

